using System;
using System.IO;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Basic properites for a file
    /// </summary>
    public class BaseFile : DomainBase
    {
        /// <summary>
        /// date of last modification of file
        /// </summary>
        
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1051:DoNotDeclareVisibleInstanceFields")]
        private DateTime lastModified;
        /// <summary>
        /// the number of bytes
        /// </summary>
        
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1051:DoNotDeclareVisibleInstanceFields")]
        private long length;
        /// <summary>
        /// the filename
        /// </summary>
        
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1051:DoNotDeclareVisibleInstanceFields")]
        private string filename;
        /// <summary>
        /// the entire path
        /// </summary>
        
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1051:DoNotDeclareVisibleInstanceFields")]
        private string fullPath;

        /// <summary>
        /// Gets or sets the last modified.
        /// </summary>
        /// <value>The last modified.</value>
        public DateTime LastModified
        {
            get {  return lastModified; }
            set { lastModified = value; }
        }

        /// <summary>
        /// Gets or sets the length.
        /// </summary>
        /// <value>The length.</value>
        public long Length
        {
            get { return length; }
            set { length = value; }
        }

        /// <summary>
        /// Gets or sets the filename.
        /// </summary>
        /// <value>The filename.</value>
        public string Filename
        {
            get { return filename; }
            set { filename = value; }
        }

        /// <summary>
        /// Gets or sets the full path.
        /// </summary>
        /// <value>The full path.</value>
        public string FullPath
        {
            get { return fullPath; }
            set 
            {
                fullPath = value;
            }
        }
    }
}