using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// A choice for the Choices of a <c>PipelineParameter</c>
    /// </summary>
    [Serializable]
    public class Choice : DomainBase
    {
        private string _value;
        private string text;

        /// <summary>
        /// Initializes a new instance of the <see cref="Choice"/> class.
        /// </summary>
        public Choice()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="Choice"/> class.
        /// </summary>
        /// <param name="value">The value.</param>
        /// <param name="text">The text.</param>
        public Choice(string value, string text)
        {
            this._value = value;
            this.text = text;
        }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        public string Value
        {
            get { return _value; }
            set { this._value = value; }
        }

        /// <summary>
        /// Gets or sets the text.
        /// </summary>
        /// <value>The text.</value>
        public string Text
        {
            get { return text; }
            set { text = value; }
        }

    }
}
