using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Custom Event Args for Open File dialog Shown
    /// </summary>
    public class OpenFileDialogShownEventArgs : EventArgs
    {
        string intialDirectory = string.Empty;

        /// <summary>
        /// Gets or sets the intial directory.
        /// </summary>
        /// <value>The intial directory.</value>
        public string IntialDirectory
        {
            get { return intialDirectory; }
            set { intialDirectory = value; }
        }

    }

    /// <summary>
    /// Custom Event Args for Open File dialog Closed
    /// </summary>
    public class OpenFileDialogClosedEventArgs : EventArgs
    {
        string currentDirectory = string.Empty;

        /// <summary>
        /// Gets or sets the intial directory.
        /// </summary>
        /// <value>The intial directory.</value>
        public string CurrentDirectory
        {
            get { return currentDirectory; }
            set { currentDirectory = value; }
        }

    }
}
