using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Class to Get Default Folder Path
    /// </summary>
    public static class DefaultSetting
    {
        private static string path = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + @"\";
        private static int LARGE_SIZE = 5242880;

        /// <summary>
        /// Gets the path.
        /// </summary>
        /// <value>The path.</value>
        public static string Path
        {
            get { return DefaultSetting.path; }
        }

        /// <summary>
        /// Gets the size of the large file.
        /// </summary>
        /// <value>The size of the large file.</value>
        public static int LargeFileSize
        {
            get { return LARGE_SIZE; }
        }
    }
}
