using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Class to store Job Processing Status
    /// </summary>
    public class DocumentJobProcessing
    {
        bool isJobProcessingInProgress;

        /// <summary>
        /// Gets or sets a value indicating whether this instance is job processing in progress.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance is job processing in progress; otherwise, <c>false</c>.
        /// </value>
        public bool IsJobProcessingInProgress
        {
            get { return isJobProcessingInProgress; }
            set { isJobProcessingInProgress = value; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DocumentJobProcessing"/> class.
        /// </summary>
        /// <param name="status">if set to <c>true</c> [status].</param>
        public DocumentJobProcessing(bool status)
        {
            this.isJobProcessingInProgress = status;
        }
    }
}
