using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// A file stored in a Word document
    /// </summary>
    public class InternalFile : BaseFile
    {
        private Guid guid;
        private string lsid;
        private bool isFileCreated = true;

        /// <summary>
        /// Gets or sets a value indicating whether this instance is file created.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance is file created; otherwise, <c>false</c>.
        /// </value>
        public bool IsFileCreated
        {
            get { return isFileCreated; }
            set { isFileCreated = value; }
        }

        /// <summary>
        /// Gets or sets the GUID.
        /// </summary>
        /// <value>The GUID.</value>
        public Guid Guid
        {
            get { return guid; }
            set { guid = value; }
        }

        /// <summary>
        /// Gets or sets the lsid.
        /// </summary>
        /// <value>The lsid.</value>
        public string Lsid
        {
            get { return lsid; }
            set { lsid = value; }
        }

        /// <summary>
        /// Returns a <see cref="T:System.String"></see> that represents the current <see cref="T:System.Object"></see>.
        /// </summary>
        /// <returns>
        /// A <see cref="T:System.String"></see> that represents the current <see cref="T:System.Object"></see>.
        /// </returns>
        public override string ToString()
        {
            return base.Filename;
        }
    }
}
