using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// A module is the atomic unit of a pipeline.  On the server, it takes a set of input parameters and outputs 
    /// a set of results, but the local representation for a module only contains the set of files used to run it 
    /// and the unique Lsid of the module.
    /// </summary>
    [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1716:IdentifiersShouldNotMatchKeywords")]
    public class Module : DomainBase
    {
        private string lsid;
        private InternalFile zipFile;        

        /// <summary>
        /// Gets or sets the Lsid.
        /// </summary>
        /// <value>The Lsid.</value>
        public string Lsid
        {
            get { return lsid; }
            set { lsid = value; }
        }

        /// <summary>
        /// Gets or sets the zip file.
        /// </summary>
        /// <value>The zip file.</value>
        public InternalFile ZipFile
        {
            get { return zipFile; }
            set { zipFile = value; }
        }
    }
}
