using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Class to Defining Service Infor of Server
    /// </summary>
    public class ServiceInfo
    {
        private string version;
        private bool requiresPassword;
        private string lsidAuthority;

        /// <summary>
        /// Initializes a new instance of the <see cref="ServiceInfo"/> class.
        /// </summary>
        public ServiceInfo() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="ServiceInfo"/> class.
        /// </summary>
        /// <param name="version">The version.</param>
        /// <param name="requiresPassword">if set to <c>true</c> [requires password].</param>
        /// <param name="lsidAuthority">The lsid authority.</param>
        public ServiceInfo(string version, bool requiresPassword, string lsidAuthority)
        {
            this.version = version;
            this.requiresPassword = requiresPassword;
            this.lsidAuthority = lsidAuthority;
        }

        /// <summary>
        /// Gets or sets the version.
        /// </summary>
        /// <value>The version.</value>
        public string Version
        {
            get { return version; }
            set { version = value; }
        }

        /// <summary>
        /// Gets or sets a value indicating whether [requires password].
        /// </summary>
        /// <value><c>true</c> if [requires password]; otherwise, <c>false</c>.</value>
        public bool RequiresPassword
        {
            get { return requiresPassword; }
            set { requiresPassword = value; }
        }

        /// <summary>
        /// Gets or sets the lsid authority.
        /// </summary>
        /// <value>The lsid authority.</value>
        public string LsidAuthority
        {
            get { return lsidAuthority; }
            set { lsidAuthority = value; }
        }
    }
}
