using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;
using System.Text;
using System.Xml.Serialization;

namespace Microsoft.eResearch.GenePattern.Common
{

   public class ShallowJobResult : DomainBase
   {
      private string filename;
      private Image thumbnail;
      private int sourceJobId;
      private int sourceStep;
      private int sourceIndex;

      [XmlIgnore]
      [DoNotClone]
      [DoNotCompare]
      public Image ThumbnailImage
      {
         get { return thumbnail; }
         set { thumbnail = value; }
      }

      public string Filename
      {
         get { return filename; }
         set { filename = value; }
      }



      [DoNotCompare]
      public byte[] SerializedThumbnailImage
      {
         get
         {
            if (thumbnail == null)
            {
               return null;
            }
            else
            {
                using (MemoryStream stream = new MemoryStream())
                {
                    BinaryFormatter bf = new BinaryFormatter();
                    bf.Serialize(stream, thumbnail);
                    bf = null;
                    byte[] serializedThumbnailImage = stream.ToArray();
                    return serializedThumbnailImage;
                }
            }

         }
         set
         {
            if (value != null)
            {
                using (MemoryStream imageStream = new MemoryStream(value))
                {
                    BinaryFormatter bf = new BinaryFormatter();
                    thumbnail = (Image)bf.Deserialize(imageStream);
                    bf = null;
                }
            }
            else
            {
               thumbnail = null;
            }
         }
      }

      public int SourceJobId
      {
         get { return sourceJobId; }
         set { sourceJobId = value; }
      }

      public int SourceStep
      {
         get { return sourceStep; }
         set { sourceStep = value; }
      }

      public int SourceIndex
      {
         get { return sourceIndex; }
         set { sourceIndex = value; }
      }
   }
}
