using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Helper class for stream management
    /// </summary>
    public sealed class StreamHelper
    {
        private StreamHelper()
        {

        }

        /// <summary>
        /// STORE BUFFER LENGHT
        /// </summary>
        public const int BufferLength = 8192;

        /// <summary>
        /// Gets a memory stream with the contents of the input stream.
        /// </summary>
        /// <param name="input">The input.</param>
        /// <returns>a <c>MemoryStream</c> with the contents of the input stream</returns>
        public static MemoryStream GetMemoryStream(Stream input)
        {
            if (input == null)
                return new MemoryStream();

            MemoryStream memStream = new MemoryStream();
            byte[] buffer = new byte[BufferLength];
            int bytesRead = 0;
           
            do
            {
                bytesRead = input.Read(buffer, 0, BufferLength);
                memStream.Write(buffer, 0, bytesRead);

            } while (bytesRead != 0);

            buffer = null;
            memStream.Position = 0;
            return memStream;
        }
    }
}
