using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Common
{
    /// <summary>
    /// Class Task to store TAsk Information
    /// </summary>
    public class Task: DomainBase
    {
        private string name;
        
        /// <summary>
        /// Enum Task Type
        /// </summary>
        private TaskType taskType;

        /// <summary>
        /// Initializes a new instance of the <see cref="Task"/> class.
        /// </summary>
        public Task() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="Task"/> class.
        /// </summary>
        /// <param name="name">The name.</param>
        /// <param name="taskType">Type of the task.</param>
        public Task(string name, TaskType taskType)
        {
            this.name = name;
            this.taskType = taskType;
        }


        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }


        /// <summary>
        /// Gets or sets the type of the task.
        /// </summary>
        /// <value>The type of the task.</value>
        public TaskType TaskType
        {
            get { return taskType; }
            set { taskType = value; }
        }
    }

    /// <summary>
    /// Enum Task Type
    /// </summary>
    public enum TaskType
    {
        /// <summary>
        /// Task Type = Pipeline
        /// </summary>
        Pipeline,

        /// <summary>
        /// Task Type = Module
        /// </summary>
        Module
    }
}
