namespace Microsoft.eResearch.GenePattern.Package
{
   /// <summary>
   /// The command associated with the Associate PipelineName button of the 
   /// GenePattern tab in the Ribbon
   /// </summary>
   public class AssociatePipelineCommand : Command
   {
      /// <summary>
      /// Initializes a new instance of the <see cref="AssociatePipelineCommand"/> class.
      /// </summary>
      /// <param name="controller">The controller.</param>
      public AssociatePipelineCommand(IController controller)
         : base(controller)
      {
      }

      /// <summary>
      /// Invokes the command.
      /// </summary>
      /// <param name="controlId">The originating control id.</param>
      public override void Invoke(string controlId)
      {
         if (!ControllerInstance.ActiveDocumentIsNull)
         {
            ControllerInstance.ShowAssociatePipelineWizard(false);
            ControllerInstance.UpdatePipelineAssociationsDisplay();
         }
      }
   }
}
