using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// The command to be invoked when the ribbon button for editing a connection
    /// is clicked.
    /// </summary>
    public class EditConnectionCommand : Command
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="EditConnectionCommand"/> class.
        /// </summary>
        /// <param name="controller">The controller.</param>
        public EditConnectionCommand(IController controller) : base(controller)
        {
            
        }

        /// <summary>
        /// Invokes the command.
        /// </summary>
        /// <param name="controlId">The control id.</param>
        public override void Invoke(string controlId)
        {

            ControllerInstance.ShowServerConnectionForm(null, false);
        }
    }
}
