using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Package
{
    class InsertGenePatternLinkCommand : Command
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AssociatePipelineCommand"/> class.
        /// </summary>
        /// <param name="controller">The controller.</param>
        public InsertGenePatternLinkCommand(IController controller)
            : base(controller)
        {
        }

        /// <summary>
        /// Invokes the command.
        /// </summary>
        /// <param name="controlId">The originating control id.</param>
        public override void Invoke(string controlId)
        {
            if (!ControllerInstance.ActiveDocumentIsNull)
            {
                ControllerInstance.InsertGenePatternLinkImage(true,null);
            }
        }
    }
}
