using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// A <c>Command</c> that has no invocation
    /// </summary>
    public class NullCommand : Command
    {
        private static NullCommand instance = new NullCommand();

        private NullCommand() : base(null)
        {
            
        }

        /// <summary>
        /// Gets the instance.
        /// </summary>
        /// <value>The instance.</value>
        public static NullCommand Instance
        {
            get { return NullCommand.instance; }
        }

        /// <summary>
        /// Invokes the command.
        /// </summary>
        /// <param name="controlId">The originating control id.</param>
        public override void Invoke(string controlId)
        {
            // do nothing
        }
    }
}
