using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Package
{
    class ProtectDocumentCommand : Command
    {

        /// <summary>
        /// Initializes a new instance of the <see cref="ProtectDocumentCommand"/> class.
        /// </summary>
        /// <param name="controller">The controller.</param>
        public ProtectDocumentCommand(IController controller)
            : base(controller)
        {
        }

        /// <summary>
        /// Invokes the command.
        /// </summary>
        /// <param name="controlId">The originating control id.</param>
        public override void Invoke(string controlId)
        {
            if (!ControllerInstance.ActiveDocumentIsNull)
            {
                ControllerInstance.ToggleDocumentProtection();
            }
        }

        /// <summary>
        /// Gets a value indicating whether the originating control needs to be invalidated.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if the control needs to be invalidated; otherwise, <c>false</c>.
        /// </value>
        public override bool NeedsInvalidate
        {
            get { return true; }
        }
    }
}
