using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// Command for performing a rerun of a pipeline
    /// </summary>
    public class RerunPipelineCommand : Command
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="RerunPipelineCommand"/> class.
        /// </summary>
        /// <param name="controller">The controller.</param>
        public RerunPipelineCommand(IController controller)
            : base(controller)
        {

        }

        /// <summary>
        /// Invokes the command.
        /// </summary>
        /// <param name="controlId">The originating control id.</param>
        public override void Invoke(string controlId)
        {
            if (!ControllerInstance.ActiveDocumentIsNull)
            {
                ControllerInstance.ShowRerunPipelineWizard();
            }
        }
    }
}
