using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Package
{
    public enum ContentItemType
    {
        Module, 
        Pipeline,
        Vizualizer,
        InputFile,
        ResultFile
    }

    public class ContentItem
    {
        private string name;
        private List<string> belongsTo = new List<string>();
        private long size;
        private ContentItemType contentItemType;

        /// <summary>
        /// Initializes a new instance of the <see cref="ContentItem"/> class.
        /// </summary>
        public ContentItem()
        {
        }


        /// <summary>
        /// Initializes a new instance of the <see cref="ContentItem"/> class.
        /// </summary>
        /// <param name="name">The name.</param>
        /// <param name="size">The size.</param>
        /// <param name="type">The type.</param>
        public ContentItem(string name, long size, ContentItemType type)
        {
            this.name = name;
            this.size = size;
            this.contentItemType = type;
        }


        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        /// <summary>
        /// Gets the belongs to.
        /// </summary>
        /// <value>The belongs to.</value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1002:DoNotExposeGenericLists")]
        public List<string> BelongsTo
        {
            get { return belongsTo; }
        }

        /// <summary>
        /// Gets or sets the size.
        /// </summary>
        /// <value>The size.</value>
        public long Size
        {
            get { return size; }
            set { size = value; }
        }

        /// <summary>
        /// Gets or sets the type of the content item.
        /// </summary>
        /// <value>The type of the content item.</value>
        public ContentItemType ContentItemType
        {
            get { return contentItemType; }
            set { contentItemType = value; }
        }
    }
}
