using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace Microsoft.eResearch.GenePattern.Package
{
    public partial class TransparentRichTextBox : RichTextBox
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TransparentRichTextBox"/> class.
        /// </summary>
        public TransparentRichTextBox()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Loads the library.
        /// </summary>
        /// <param name="lpFileName">Name of the lp file.</param>
        /// <returns></returns>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1060:MovePInvokesToNativeMethodsClass"), DllImport("kernel32.dll", CharSet = CharSet.Auto)]
        static extern IntPtr LoadLibrary(string lpFileName);

        /// <summary>
        /// </summary>
        /// <value></value>
        /// <returns>A <see cref="T:System.Windows.Forms.CreateParams"/> representing the information needed when creating a control.</returns>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA2123:OverrideLinkDemandsShouldBeIdenticalToBase")]
        protected override CreateParams CreateParams
        {
            get
            {
                CreateParams prams = base.CreateParams;
                if (LoadLibrary("msftedit.dll") != IntPtr.Zero)
                {
                    prams.ExStyle |= 0x020; // transparent
                    prams.ClassName = "RICHEDIT50W";
                }
                return prams;
            }
        }
    }
}
