using Microsoft.eResearch.GenePattern.Common;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// Interface Server Broker
    /// </summary>
    public interface IServerBroker
    {
        /// <summary>
        /// Gets the tested verified connection.
        /// </summary>
        /// <param name="connection">The connection.</param>
        /// <returns></returns>
        Connection GetTestedVerifiedConnection(Connection connection);

        /// <summary>
        /// Gets the tested verified connection.
        /// </summary>
        /// <param name="connection">The connection.</param>
        /// <param name="editPasswordOnly">if set to <c>true</c> [edit password only].</param>
        /// <returns></returns>
        Connection GetTestedVerifiedConnection(Connection connection,bool editPasswordOnly);

        /// <summary>
        /// Gets an IGenePatternServer with connection that has been tested
        /// and whose credentials have been enterd.
        /// </summary>
        /// <param name="connection">The connection.</param>
        /// <param name="message">The message.</param>
        /// <returns>the server or null if user cancels</returns>
        IGenePatternServer GetTestedVerifiedServer(Connection connection, string message);

        /// <summary>
        /// Gets the gene pattern server for connection.
        /// </summary>
        /// <param name="connection">The connection.</param>
        /// <returns></returns>
        IGenePatternServer GetGenePatternServerForConnection(Connection connection);

        /// <summary>
        /// Gets the tested verified server.
        /// </summary>
        /// <param name="connection">The connection.</param>
        /// <param name="message">The message.</param>
        /// <param name="editPasswordOnly">if set to <c>true</c> [edit password only].</param>
        /// <returns></returns>
        IGenePatternServer GetTestedVerifiedServer(Connection connection, string message, bool editPasswordOnly);
    }
}