using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.eResearch.GenePattern.Package
{
   public partial class PasswordForm : Form
   {
       /// <summary>
       /// Initializes a new instance of the <see cref="PasswordForm"/> class.
       /// </summary>
      public PasswordForm()
      {
         InitializeComponent();
         this.BackgroundImage = Resources.Clean;
         this.BackgroundImageLayout = ImageLayout.Stretch;
      }

      /// <summary>
      /// Gets the password entered.
      /// </summary>
      /// <value>The password entered.</value>
      public string PasswordEntered
      {
         get { return Password.Text.Trim(); }  
      }

      /// <summary>
      /// Handles the FormClosing event of the PasswordForm control.
      /// </summary>
      /// <param name="sender">The source of the event.</param>
      /// <param name="e">The <see cref="System.Windows.Forms.FormClosingEventArgs"/> instance containing the event data.</param>
       [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Globalization", "CA1300:SpecifyMessageBoxOptions")]
      private void PasswordForm_FormClosing(object sender, FormClosingEventArgs e)
      {
         if(Password.Text != ConfirmBox.Text && this.DialogResult == DialogResult.OK)
         {
            MessageBox.Show(Resources.INVALID_PASSWORD, Resources.GENEPATTREN_MSG_HEADER,
                MessageBoxButtons.OK, MessageBoxIcon.Warning);
            e.Cancel = true;
         }
      }
   }
}