using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Text;
using Microsoft.eResearch.GenePattern.Common;

namespace Microsoft.eResearch.GenePattern.Package
{
    internal class RemoteVerifyer : PipelineInstaller
    {
        public RemoteVerifyer(IController controller)
            : base(controller)
        {
        }

        private static void RaiseException(string lsid)
        {
            string message = string.Format(CultureInfo.InvariantCulture, Resources.PIPELINE_OR_MODULE_NOT_INSTALLED, lsid);
            throw new PipelineOrModuleNotInstalledException(message);
        }


        protected override void InstallPipeline(IGenePatternServer destinationServer, string lsid)
        {
            RaiseException(lsid);
        }

        protected override void InstallModule(IGenePatternServer destinationServer, string lsid)
        {
            RaiseException(lsid);
        }
    }
}
