using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// Form for specifying a url
    /// </summary>
    public partial class SpecifyUrlForm : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SpecifyUrlForm"/> class.
        /// </summary>
        public SpecifyUrlForm()
        {
            InitializeComponent();
            DialogResult = DialogResult.Cancel;
        }

        /// <summary>
        /// Gets or sets the URL.
        /// </summary>
        /// <value>The URL.</value>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1056:UriPropertiesShouldNotBeStrings")]
        public string GetServerUri
        {
            get
            {
                return UrlTextBox.Text;
            }    
            set
            {
                UrlTextBox.Text = value;
            }
        }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1031:DoNotCatchGeneralExceptionTypes")]
        private void UrlTextBox_TextChanged(object sender, EventArgs e)
        {
            try
            {
                if (Uri.IsWellFormedUriString(UrlTextBox.Text, UriKind.Absolute))
                {
                    OKButton.Enabled = true;
                }
                else
                {
                    OKButton.Enabled = false;
                }
            }
            catch (Exception ex)
            {
                MessageForm.ShowUnhandledExceptionMessage(ex);
            }
        }
    }
}