using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace Infusion.GenePattern.Package.UserControls
{
    public partial class RerunPipelineTaskPane : UserControl
    {
        #region Private Members

        private SelectPipelineToRerunUserControl selectPipelineToRerunUserControl;
        private StopPointUserControl stopPointUserControl;
        //private SelectStopPoint selectStopPoint;
        private EditParametersUserControl editParametersUserControl;
        private ServeSettingUserControl serveSettingUserControl;
        private SummaryPageUserControl summaryPage;

        #endregion

        #region Public Methods

        public RerunPipelineTaskPane()
        {
            InitializeComponent();
            selectPipelineToRerunUserControl = new SelectPipelineToRerunUserControl();
            stopPointUserControl = new StopPointUserControl();
            //selectStopPoint = new SelectStopPoint(null);
            editParametersUserControl = new EditParametersUserControl();
            serveSettingUserControl = new ServeSettingUserControl();
            summaryPage = new SummaryPageUserControl();
            AddUserControls();
        }

        #endregion

        #region Private Methods

        private void AddUserControls()
        {
            selectPipelineToRerunUserControl.Dock = DockStyle.Fill;
            splitContainer2.Panel1.Controls.Add(selectPipelineToRerunUserControl);

            stopPointUserControl.Dock = DockStyle.Fill;
            splitContainer3.Panel1.Controls.Add(stopPointUserControl);

            editParametersUserControl.Dock = DockStyle.Fill;
            splitContainer4.Panel1.Controls.Add(editParametersUserControl);

            serveSettingUserControl.Dock = DockStyle.Fill;
            splitContainer5.Panel1.Controls.Add(serveSettingUserControl);

            summaryPage.Dock = DockStyle.Fill;
            splitContainer5.Panel2.Controls.Add(summaryPage);
        }

        #endregion
    }
}
