using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Microsoft.eResearch.GenePattern.Common;

namespace Microsoft.eResearch.GenePattern.Package
{
    /// <summary>
    /// User control for showing the parameters of the pipeline association
    /// </summary>
    public partial class ShowParameters : AssociatePipelineWizardControl
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ShowParameters"/> class.
        /// </summary>
        /// <param name="model">The model.</param>
        public ShowParameters(AssociatePipelineWizardModel model)
            : base(model)
        {
            InitializeComponent();
        }

        /// <summary>
        /// Called when control is shown.
        /// </summary>
        public override void OnShown()
        {
            Debug.Assert(AssociatePipelineWizardModel != null);
            Debug.Assert(AssociatePipelineWizardModel.Pipeline != null);
            Debug.Assert(AssociatePipelineWizardModel.PipelineAssociation.Job != null);
            piplineParameters1.SetParameters(AssociatePipelineWizardModel.Pipeline.Parameters, AssociatePipelineWizardModel.PipelineAssociation.Job.Parameters);
        }
    }
}
