using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Infusion.GenePattern.Common;

namespace Infusion.GenePattern.Package
{
    public partial class ShowParametersUserControl : UserControl
    {
        #region Public Methods

        /// <summary>
        /// Initializes a new instance of the <see cref="ShowParametersUserControl"/> class.
        /// </summary>
        public ShowParametersUserControl()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Updates the show parameter list.
        /// </summary>
        /// <param name="pipelineParameters">The pipeline parameters.</param>
        /// <param name="jobParameters">The job parameters.</param>
        public void UpdateShowParameterList(List<PipelineParameter> pipelineParameters, 
            List<JobParameter> jobParameters)
        {
            piplineParameters1.SetParameters(pipelineParameters, jobParameters);
        }

        /// <summary>
        /// Clears this instance.
        /// </summary>
        public void ClearParameterList()
        {
            piplineParameters1.SetParameters(new List<PipelineParameter>(), new List<JobParameter>());
        }

        #endregion
    }
}
