using System;
using System.Collections.Generic;
using System.Net;
using System.Text;

namespace Microsoft.eResearch.GenePattern.Server.Admin
{
    public partial class AdminServiceService
    {
        /// <summary>
        /// Creates a <see cref="T:System.Net.WebRequest"></see> for the specified uri.
        /// </summary>
        /// <param name="uri">The <see cref="T:System.Uri"></see> to use when creating the <see cref="T:System.Net.WebRequest"></see>.</param>
        /// <returns>
        /// The <see cref="T:System.Net.WebRequest"></see>.
        /// </returns>
        /// <exception cref="T:System.InvalidOperationException">The uri parameter is null. </exception>
        protected override System.Net.WebRequest GetWebRequest(Uri uri)
        {
            HttpWebRequest request;
            request = (HttpWebRequest)base.GetWebRequest(uri);

            AuthorizationHelper.SetUpAuthorization(request, PreAuthenticate, Credentials.GetCredential(uri, "Basic"));
            return request;
        }

    }
}
