using System;
using System.Net;


namespace Microsoft.eResearch.GenePattern.Server.TaskIntegrator
{
    /// <summary>
    /// Class TAsk Intergrator Service
    /// </summary>
    public partial class TaskIntegratorService
    {
        /// <summary>
        /// Creates a <see cref="T:System.Net.WebRequest"></see> for the specified uri.
        /// </summary>
        /// <param name="uri">The <see cref="T:System.Uri"></see> to use when creating the <see cref="T:System.Net.WebRequest"></see>.</param>
        /// <returns>
        /// The <see cref="T:System.Net.WebRequest"></see>.
        /// </returns>
        /// <exception cref="T:System.InvalidOperationException">The uri parameter is null. </exception>
        protected override WebRequest GetWebRequest(Uri uri)
        {
            HttpWebRequest request;
            request = (HttpWebRequest)base.GetWebRequest(uri);

            AuthorizationHelper.SetUpAuthorization(request, PreAuthenticate, Credentials.GetCredential(uri, "Basic"));

            return request;
        }

        
    }
}
