using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.ScientificAddIn.Common
{
    public class AppendixParameters
    {
        private string name;
        private string value;
        private bool isInputFile;
        private bool isDocumentFile;
        private string filePath = string.Empty;

        /// <summary>
        /// Initializes a new instance of the <see cref="AppendixParameters"/> class.
        /// </summary>
        /// <param name="name">The name.</param>
        /// <param name="value">The value.</param>
        /// <param name="isInputFile">if set to <c>true</c> [is input file].</param>
        /// <param name="filePath">The file path.</param>
        public AppendixParameters(string name, string value)
        {
            this.name = name;
            this.value = value;
        }

        /// <summary>
        /// Gets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return name; }
        }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        public string Value
        {
            get { return this.value; }
            set { this.value = value ; }
        }

        /// <summary>
        /// Gets or sets a value indicating whether this instance is input file.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance is input file; otherwise, <c>false</c>.
        /// </value>
        public bool IsInputFile
        {
            get { return isInputFile; }
            set { isInputFile = value; }
        }

        /// <summary>
        /// Gets or sets the file path.
        /// </summary>
        /// <value>The file path.</value>
        public string FilePath
        {
            get { return filePath; }
            set { filePath = value; }
        }

        /// <summary>
        /// Gets or sets a value indicating whether this instance is document file.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if this instance is document file; otherwise, <c>false</c>.
        /// </value>
        public bool IsDocumentFile
        {
            get { return isDocumentFile; }
            set { isDocumentFile = value; }
        }
    }
}
