using System;
using System.Collections.Generic;
using System.Text;

namespace Microsoft.eResearch.ScientificAddIn.Common
{
    /// <summary>
    /// Class to store the Image Range in Document
    /// </summary>
    public class ImageRange
    {
        int startRange;
        int endRange;

        /// <summary>
        /// Gets or sets the end.
        /// </summary>
        /// <value>The end.</value>
        public int End
        {
            get { return endRange; }
            set { endRange = value; }
        }

        /// <summary>
        /// Gets the start.
        /// </summary>
        /// <value>The start.</value>
        public int Start
        {
            get { return startRange; }
            set { startRange = value; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ImageRange"/> class.
        /// </summary>
        public ImageRange() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="ImageRange"/> class.
        /// </summary>
        /// <param name="start">The start.</param>
        /// <param name="end">The end.</param>
        public ImageRange(int start, int end)
        {
            this.startRange = start;
            this.endRange = end;
        }
    }
}
