using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Diagnostics;

namespace Microsoft.eResearch.ScientificAddIn
{
    /// <summary>
    /// Clipboard Process Checker
    /// </summary>
    public static class ClipboardProcessChecker
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1060:MovePInvokesToNativeMethodsClass"), DllImport("user32.dll")]
        static extern IntPtr GetOpenClipboardWindow();

        /// <summary>
        /// Gets the window thread process id.
        /// </summary>
        /// <param name="hWnd">The h WND.</param>
        /// <param name="lpdwProcessId">The LPDW process id.</param>
        /// <returns></returns>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1060:MovePInvokesToNativeMethodsClass"), DllImport("user32.dll", SetLastError = true)]
        static extern int GetWindowThreadProcessId(IntPtr hWnd, out int lpdwProcessId);

        /// <summary>
        /// Checks this instance.
        /// </summary>
        public static void Check()
        {
            IntPtr hwnd = GetOpenClipboardWindow();
            if (hwnd != IntPtr.Zero)
            {
                int processId;
                GetWindowThreadProcessId(hwnd, out processId);
                Process p = Process.GetProcessById(processId);
                if (p != null)
                {
                    foreach (ProcessModule processModule in p.Modules)
                    {
                        Console.Out.WriteLine("processModule.FileName = {0}", processModule.FileName);
                    }
                }
                else
                {
                    Console.Out.WriteLine("processId = {0}", processId);
                    Console.Out.WriteLine("no process found");
                }
            }
        }
    }

}